[iOS SDK] Apple's requirements to support IPv6-only networks

Masaharu_Hachiy

12-05-2016

Apple says,

"Starting June 1, 2016 all apps submitted to the App Store must support IPv6-only networking."

"If your app uses IPv4-specific APIs or hard-coded IP addresses, you will need to make some changes."

https://developer.apple.com/news/?id=05042016a

Is iOS SDK itself free from this concern?

Best regards,

Masaharu

Accepted Solutions (1)

Accepted Solutions (1)

TanmayMathur

Community Manager

18-05-2016

Hi Masaharu,

Thanks for asking this question on the forum!

According to engineering there should be no issues with the ipv6 only requirement. You would not be required to make any change. Thanks!

Tanmay

Answers (1)

Answers (1)

Masaharu_Hachiy

24-05-2016

Hi Tanmay,

Thanks for your reply.

> According to engineering there should be no issues with the ipv6 only requirement. You would not be required to make any change. Thanks!

I'm relieved to hear that!

Thanks!

Masaharu